| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__CfBgDNPPS Struct Reference
Subscriber Features

Number Permanent Presentation Status. More...

`#include <osv-if-doc.h>`

## Public Attributes
enum unsp__Subscribed | Subscribed
| Standard Subscribed enumeration. More...
enum unsp__SubscriberPPS * | State
| Allow Calling Party Number for external calls. More...
enum unsp__SubscriberPPS * | subPpsIntraBbgCalls
| Allow Calling Party Number for internal calls. More...
enum unsp__SubscriberPPS * | subPpsConnectedInternalCalls
| Allow Connected Party Number for internal calls. More...
enum unsp__SubscriberPPS * | subPpsConnectedExternalCalls
| Allow Connected Party Number for internal calls. More...
unsp__ServiceId | externalCallerID
struct unsp__CfBgDNPPS_locPres * | Local
| Local Presence flags. More...

## Detailed Description

Number Permanent Presentation Status.

Number Permanent Presentation Status indicates the default presentation setting ("Allowed" or "Restricted") of an OpenScape Voice subscriber's number identity, which is used for the Number and Name Delivery. When the subscriber originates a call, it is used to determine whether or not presentation of the number of their identity to the called party is restricted. When they are called, it is used to determine whether or not presentation of the number of their identity to the calling party is restricted.
MP2 command: CfBgDNPPS [Attributes]

## Member Data Documentation

## ◆ externalCallerID

unsp__ServiceId unsp__CfBgDNPPS::externalCallerID

Deprecated:
  NA

## ◆ Local

struct unsp__CfBgDNPPS_locPres* unsp__CfBgDNPPS::Local

Local Presence flags.

## ◆ State

enum unsp__SubscriberPPS* unsp__CfBgDNPPS::State

Allow Calling Party Number for external calls.

required: false
default value[range]: Public

## ◆ subPpsConnectedExternalCalls

enum unsp__SubscriberPPS* unsp__CfBgDNPPS::subPpsConnectedExternalCalls

Allow Connected Party Number for internal calls.

required: false
default value[range]: Public

## ◆ subPpsConnectedInternalCalls

enum unsp__SubscriberPPS* unsp__CfBgDNPPS::subPpsConnectedInternalCalls

Allow Connected Party Number for internal calls.

required: false
default value[range]: Public

## ◆ subPpsIntraBbgCalls

enum unsp__SubscriberPPS* unsp__CfBgDNPPS::subPpsIntraBbgCalls

Allow Calling Party Number for internal calls.

required: false
default value[range]: Public

## ◆ Subscribed

enum unsp__Subscribed unsp__CfBgDNPPS::Subscribed

Standard Subscribed enumeration.

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h